Move base point of a block.

Is there a way to move the base point/insertion point inside the block
editor? I found a workaround, but its not very convenient.

Welcome!

It looks like you're new here. Sign in or register to get started.

Comments

  • I'll sponsor that question!

  • In the block editor the center of the coordinate system is the insertion point of the block. Just move the objects to a desired location using 0,0 as a base point for the movement.

  • Try something like this.

    (vlax-for block (vla-get-blocks (vla-get-activedocument (vlax-get-acad-object)))
    (if (= (vlax-get block 'name) "overhead")
    (vlax-put block 'Origin '(10 10 0)) ; origin was 0 0 0
    )
    )

    If block has attributes will need to attsync existing blocks, else attributes are left behind.

  • I think eivber means to relocate the insertion point within the block (other than by exploding an instance of it and recreating), such that all existing instances of the block remain where they are within the drawing.

  • Hello.

    Something that might be worth investigating is the approach from Lee Mac.
    https://lee-mac.com/changeblockinsertion.html

  • Looks peerfect

  • You could also try this Lee Mac routine
    Justify Block Base Point | Lee Mac Programming

Welcome!

It looks like you're new here. Sign in or register to get started.

Welcome!

It looks like you're new here. Sign in or register to get started.